#ifndef __INCLUDED_vpass_h
#define __INCLUDED_vpass_h

/* $Id: vpass.h,v 1.2 2001/08/21 13:05:34 roam Exp $ */

#ifndef __unused
#ifdef __GNUC__
#define __unused	__attribute__((unused))
#else
#define __unused
#endif /* __GNUC__ */
#endif /* __unused */

#ifndef RDBG
#ifdef EBUG
#define RDBG(x)         if (quiet < 2) { printf x; }
#else /* !EBUG */
#define RDBG(x)
#endif /* EBUG */
#endif /* RDBG */

#ifndef RINF
#define RINF(x)         printf x;
#endif /* RINF */

/* * *		Definitions		* * */

typedef enum {
	VP_ERR_NONE,
	VP_ERR_NOMEM, VP_ERR_CMDLINE,
	VP_ERR_FGETS,
	VP_ERR_NET_NOTINIT,
	VP_ERR_NET_UCS_NOPROTO,
	VP_ERR_READ, VP_ERR_WRITE,
	VP_ERR_COMM,
	VP_ERR_INT,
	VP_ERR_LAST
} vp_err_t;

#define VP_OPTSTR	"ac:hn:p:qu:vV"

/* * *		Variables		* * */

extern int	verbose, quiet;
extern char	vp_verstr[];

extern char	*vp_user, *vp_cuser, *vp_oldp, *vp_newp;

/* * *		Functions		* * */


#endif /* __INCLUDED_vpass_h */
